com.corticon.service.ccserver.exception

## Class CcServerReportingInvalidDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.corticon.CcException
      - - com.corticon.service.ccserver.exception.CcServerException
        - - com.corticon.service.ccserver.exception.CcServerReportingInvalidDataException

- All Implemented Interfaces:
    ICcException, java.io.Serializable

      public class CcServerReportingInvalidDataException
      extends CcServerException
      implements java.io.Serializable

  `CcServerReportingInvalidDataException` is thrown if an attempt is made to create a Report for a RuleAsset (Ruleflow .erf or pre-compiled .eds file) that contains invalid data.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.corticon.CcException

      `istrCallingObjectClassName, istrCallingObjectToString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerReportingInvalidDataException()`
    `CcServerReportingInvalidDataException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerReportingInvalidDataException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerReportingInvalidDataException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerReportingInvalidDataException(java.lang.String astrMessage)`
    `CcServerReportingInvalidDataException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class com.corticon.CcException

      `getContainedException, getMessages, getStackTraceAsString, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerReportingInvalidDataException

          public CcServerReportingInvalidDataException()

    - #### CcServerReportingInvalidDataException

          public CcServerReportingInvalidDataException(java.lang.String astrMessage)

    - #### CcServerReportingInvalidDataException

          public CcServerReportingInvalidDataException(java.lang.String astrMessage,
                                               java.lang.Object aobject)

    - #### CcServerReportingInvalidDataException

          public CcServerReportingInvalidDataException(java.lang.Exception aparentException,
                                               java.lang.String astrMessage)

    - #### CcServerReportingInvalidDataException

          public CcServerReportingInvalidDataException(java.lang.Exception aparentException,
                                               java.lang.Object aobject)

    - #### CcServerReportingInvalidDataException

          public CcServerReportingInvalidDataException(java.lang.Exception aparentException,
                                               java.lang.String astrMessage,
                                               java.lang.Object aobject)

Copyright © 2005-2017 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.